"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setAppearanceDark = setAppearanceDark;
exports.setAppearanceLight = setAppearanceLight;
exports.setAppearanceSystem = setAppearanceSystem;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-appearance-control' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';

// @ts-expect-error
const isTurboModuleEnabled = global.__turboModuleProxy != null;
const AppearanceControlModule = isTurboModuleEnabled ? require('./NativeAppearanceControl').default : _reactNative.NativeModules.AppearanceControl;
const AppearanceControl = AppearanceControlModule ? AppearanceControlModule : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function setAppearanceDark() {
  AppearanceControl.setAppearanceDark();
}
function setAppearanceLight() {
  AppearanceControl.setAppearanceLight();
}
function setAppearanceSystem() {
  AppearanceControl.setAppearanceSystem();
}
//# sourceMappingURL=index.js.map